Bug 35934 - Grub graphic
Grub graphic
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Grub
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Felix Botner
Drees Dormann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-16 09:05 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
UN _UMC Relaunch_Boot-Menu_140910_jk.svg (87.61 KB, image/svg+xml)
2014-09-16 09:05 CEST, Stefan Gohmann
Details
New background graphic (551.75 KB, application/x-gzip)
2014-09-25 11:40 CEST, Alexander Kläser
Details
grub.png (90.39 KB, image/png)
2014-09-26 13:30 CEST, Felix Botner
Details
Final background graphic (251.86 KB, image/jpeg)
2014-10-16 13:02 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-16 09:05:15 CEST
Created attachment 6109 [details]
UN _UMC Relaunch_Boot-Menu_140910_jk.svg

Please change the grub graphic to the attached image.
Comment 1 Philipp Hahn univentionstaff 2014-09-18 11:23:59 CEST
r53755 | Bug #35934 grub: Fix shell script syntax error

Package: univention-grub
Version: 8.0.3-3.118.201409181113
Branch: ucs_4.0-0
Comment 2 Alexander Kläser univentionstaff 2014-09-25 11:40:06 CEST
Created attachment 6126 [details]
New background graphic

Attached you find the updated background image for the Grub boot menu.

The color values are:
* Menu font: #3c3c3c + Hotkey: #000000
* Aktive Menu font: #ffffff + Hotkey: #e6e6e6 + Background: #7ab51d
* "Display help screens..."-color: #3c3c3c
* "Press Enter"-color: #3c3c3c
* Everything without shadows
Comment 3 Felix Botner univentionstaff 2014-09-26 13:30:55 CEST
Created attachment 6135 [details]
grub.png

The position of the univention icon is not optimal, when grub starts the os, a message is printed and almost "overwrites" the logo, see grub.png

Also, the new image size is 800x600, better would be 1400x1050 (or so), grub scales the image, but for image quality it is better to scale up than to scale down.


The grub menu does not support color definitions like #3c3c3c, only a few predefined colors like green, light-green ... can be used.
Comment 4 Felix Botner univentionstaff 2014-09-26 13:42:14 CEST
(In reply to Felix Botner from comment #3)
> 
> Also, the new image size is 800x600, better would be 1400x1050 (or so), grub
> scales the image, but for image quality it is better to scale up than to
> scale down.

it is better to scale down ...
Comment 5 Stefan Gohmann univentionstaff 2014-09-30 16:06:33 CEST
The design is not yet final. Moving to interim-3
Comment 6 Alexander Kläser univentionstaff 2014-10-16 13:02:09 CEST
Created attachment 6175 [details]
Final background graphic

Please integrate the final Grub background image.
Comment 7 Felix Botner univentionstaff 2014-10-16 14:42:40 CEST
done
Comment 8 Florian Best univentionstaff 2014-11-04 12:11:32 CET
…
Found memtest86+ image: /boot/memtest86+.bin
  No volume groups found
Univention Corporate Server 4.0-0 errata0 (Walle) (4.0-0 errata0) auf /dev/vda1 gefunden
Fehler: syntax error.
Fehler: Incorrect command.
Fehler: syntax error.
Syntaxfehler in Zeile 87
In der erzeugten GRUB-Konfigurationsdatei wurden
Syntaxfehler entdeckt. Stellen Sie sicher, das die Dateien
/etc/default/grub und /etc/grub.d/* fehlerfrei sind oder
erstellen Sie einen Fehlerbericht mit /boot/grub/grub.cfg.new als Anhang.erledigt
Generating legacy menu.lst from current kernels
…

/boot/grub/grub.cfg.new:
…
 76 ### BEGIN /etc/grub.d/05_debian_theme ###
 77 insmod part_msdos
 78 insmod ext2
 79 set root='hd0,msdos1'
 80 if [ x$feature_platform_search_hint = xy ]; then
 81   search --no-floppy --fs-uuid --set=root --hint='hd0,msdos1'  dfe75cc2-828b-48d1-b1b3-b7347c1386c5
 82 else
 83   search --no-floppy --fs-uuid --set=root dfe75cc2-828b-48d1-b1b3-b7347c1386c5
 84 fi
 85 insmod png
 86 if background_image /boot/grub/uniboot.png; then
 87 else
 88   set menu_color_normal=cyan/blue
 89   set menu_color_highli
…
Comment 9 Felix Botner univentionstaff 2014-11-04 15:19:06 CET
(In reply to Florian Best from comment #8)
> …
> Found memtest86+ image: /boot/memtest86+.bin
>   No volume groups found
> Univention Corporate Server 4.0-0 errata0 (Walle) (4.0-0 errata0) auf
> /dev/vda1 gefunden
> Fehler: syntax error.
> Fehler: Incorrect command.
> Fehler: syntax error.
> Syntaxfehler in Zeile 87
> In der erzeugten GRUB-Konfigurationsdatei wurden
> Syntaxfehler entdeckt. Stellen Sie sicher, das die Dateien
> /etc/default/grub und /etc/grub.d/* fehlerfrei sind oder
> erstellen Sie einen Fehlerbericht mit /boot/grub/grub.cfg.new als
> Anhang.erledigt
> Generating legacy menu.lst from current kernels
> …
> 
> /boot/grub/grub.cfg.new:
> …
>  76 ### BEGIN /etc/grub.d/05_debian_theme ###
>  77 insmod part_msdos
>  78 insmod ext2
>  79 set root='hd0,msdos1'
>  80 if [ x$feature_platform_search_hint = xy ]; then
>  81   search --no-floppy --fs-uuid --set=root --hint='hd0,msdos1' 
> dfe75cc2-828b-48d1-b1b3-b7347c1386c5
>  82 else
>  83   search --no-floppy --fs-uuid --set=root
> dfe75cc2-828b-48d1-b1b3-b7347c1386c5
>  84 fi
>  85 insmod png
>  86 if background_image /boot/grub/uniboot.png; then
>  87 else
>  88   set menu_color_normal=cyan/blue
>  89   set menu_color_highli
> …

/etc/default/grub was no template (as it should normally be), after a ucr commit /etc/default/grub, everything is OK

once upon a time ... the installer installed the packages but forgot to commit the templates, maybe this is the reason for the missing /etc/default/grub commit
Comment 10 Drees Dormann univentionstaff 2014-11-05 09:35:40 CET
grub is looking the way it should
/etc/default/grub ok

changelog ok
Comment 11 Stefan Gohmann univentionstaff 2014-11-26 06:54:57 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".